Verify Email
curl --request POST \
--url https://api.example.com/auth/verify-emailimport requests
url = "https://api.example.com/auth/verify-email"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/auth/verify-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 400,
"code": "VALIDATION_INVALID",
"message": "Invalid verification token"
},
"data": null
}
Authentication
Verify Email
Verify email address with token
POST
/
auth
/
verify-email
Verify Email
Verify email address using the verification token sent to the user’s email.
string
required
Email verification token
boolean
Indicates if the request was successful
object
Verification result data
Example Request
curl -X POST https://api.transaction.gg/auth/verify-email \
-H "Content-Type: application/json" \
-d '{
"token": "verification_token"
}'
Example Response
{
"success": true,
"error": null,
"data": {
"verified": true
}
}
Error Responses
{
"success": false,
"error": {
"status": 400,
"code": "VALIDATION_INVALID",
"message": "Invalid verification token"
},
"data": null
}
⌘I